<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.rongwei.bscommon.sys.dao.ApsProcessOperationOutMaterDao">
    <update id="reportCheckUpdateAboutVolumesNum">
        update aps_process_operation_out_mater
        <set>
            <if test="inspectQuantity != 0">
                INSPECTROLLNUM=INSPECTROLLNUM+#{inspectQuantity},
            </if>
            <if test="qualifiedQuantity!=0">
                FAILROLLNUM=FAILROLLNUM+#{qualifiedQuantity},
            </if>
            <if test="unqualifiedQuantity!=0">
                GOODROLLNUM=GOODROLLNUM+#{qualifiedQuantity}
            </if>
        </set>
        <where>
            ID=#{id}
        </where>
    </update>
</mapper>
